> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a completed report



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/PnLReport/GetPnlReportsDataById
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/PnLReport/GetPnlReportsDataById:
    post:
      tags:
        - PnLReport
      summary: Get a completed report
      operationId: GetPnlReportsDataById
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetReportsDataByIdRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetReportsDataByIdRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetReportsDataByIdRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetReportsDataByIdRequest'
        description: Get report data request
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetPnlReportsDataByIdResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetReportsDataByIdRequest:
      example:
        return_raw_data: true
        report_ids:
          - report_ids
          - report_ids
      properties:
        report_ids:
          items:
            type: string
          nullable: true
          type: array
        return_raw_data:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetReportsDataByIdRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetPnlReportsDataByIdResponse:
      example:
        data:
          - final_date_time: '2000-01-23T04:56:07.000+00:00'
            initial_date_time: '2000-01-23T04:56:07.000+00:00'
            data_tables:
              - ''
              - ''
          - final_date_time: '2000-01-23T04:56:07.000+00:00'
            initial_date_time: '2000-01-23T04:56:07.000+00:00'
            data_tables:
              - ''
              - ''
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        data:
          items:
            $ref: '#/components/schemas/PnlReportData'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetPnlReportsDataByIdResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    PnlReportData:
      example:
        final_date_time: '2000-01-23T04:56:07.000+00:00'
        initial_date_time: '2000-01-23T04:56:07.000+00:00'
        data_tables:
          - ''
          - ''
      properties:
        market_data_error_summary:
          $ref: '#/components/schemas/MarketDataErrorSummary'
        portfolio_name:
          nullable: true
          type: string
        real_time_market_data:
          type: boolean
        report_id:
          nullable: true
          type: string
        reporting_currency:
          nullable: true
          type: string
        report_name:
          nullable: true
          type: string
        status:
          enum:
            - none
            - succeeded
            - failed
            - running
            - warning
          type: string
        status_message:
          nullable: true
          type: string
        time_stamp:
          format: date-time
          type: string
        initial_date_time:
          format: date-time
          type: string
        final_date_time:
          format: date-time
          type: string
        data_tables:
          items: {}
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Reports.PnlReportData, Derivitec.Web.Core
      required:
        - $type
      type: object
    MarketDataErrorSummary:
      example:
        bond_vol_surface_errors:
          - bond_short_name: bond_short_name
            futures_market_id: futures_market_id
          - bond_short_name: bond_short_name
            futures_market_id: futures_market_id
        survival_curve_errors:
          - issuer_id: issuer_id
            default_type: default_type
            currency: currency
            debt_type: debt_type
            issuer_name: issuer_name
          - issuer_id: issuer_id
            default_type: default_type
            currency: currency
            debt_type: debt_type
            issuer_name: issuer_name
        equity_vol_of_var_curve_errors:
          - eq_vol_of_var_index_id: eq_vol_of_var_index_id
            eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
          - eq_vol_of_var_index_id: eq_vol_of_var_index_id
            eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
        commodity_errors:
          - commodity_id: commodity_id
            commodity_name: commodity_name
          - commodity_id: commodity_id
            commodity_name: commodity_name
        credit_swaption_vol_cube_errors:
          - credit_id: credit_id
            name: name
          - credit_id: credit_id
            name: name
        ir_futures_vol_cube_errors:
          - name: name
            futures_market_id: futures_market_id
          - name: name
            futures_market_id: futures_market_id
        credit_event_errors:
          - default_date: default_date
            bond_id: bond_id
          - default_date: default_date
            bond_id: bond_id
        recovery_rate_errors:
          - issuer_id: issuer_id
            bond_id: bond_id
            debt_type: debt_type
            issuer_name: issuer_name
          - issuer_id: issuer_id
            bond_id: bond_id
            debt_type: debt_type
            issuer_name: issuer_name
        rate_asset_errors:
          - rate_asset_id: rate_asset_id
            reference_date: reference_date
            message: message
          - rate_asset_id: rate_asset_id
            reference_date: reference_date
            message: message
        cmdty_vol_surface_errors:
          - commodity_id: commodity_id
            commodity_name: commodity_name
          - commodity_id: commodity_id
            commodity_name: commodity_name
        discount_curve_errors:
          - currency: currency
          - currency: currency
        fx_cross_errors:
          - fx_cross_id: fx_cross_id
          - fx_cross_id: fx_cross_id
        equity_vol_index_errors:
          - eq_vol_index_id: eq_vol_index_id
            eq_vol_index_name: eq_vol_index_name
            eq_vol_index_ric: eq_vol_index_ric
          - eq_vol_index_id: eq_vol_index_id
            eq_vol_index_name: eq_vol_index_name
            eq_vol_index_ric: eq_vol_index_ric
        dividend_index_errors:
          - dividend_index_id: dividend_index_id
            dividend_index_name: dividend_index_name
            dividend_index_ric: dividend_index_ric
          - dividend_index_id: dividend_index_id
            dividend_index_name: dividend_index_name
            dividend_index_ric: dividend_index_ric
        bond_yield_curve_errors:
          - issuer_id: issuer_id
            currency: currency
            debt_type: debt_type
            issuer_name: issuer_name
          - issuer_id: issuer_id
            currency: currency
            debt_type: debt_type
            issuer_name: issuer_name
        equity_asset_errors:
          - notes: notes
            asset_edi_code: asset_edi_code
            asset_ric: asset_ric
            asset_x_ignite_code: asset_x_ignite_code
            asset_id: asset_id
          - notes: notes
            asset_edi_code: asset_edi_code
            asset_ric: asset_ric
            asset_x_ignite_code: asset_x_ignite_code
            asset_id: asset_id
        calendar_errors:
          - calendar_errors
          - calendar_errors
        dividend_index_vol_surface_errors:
          - dividend_index_id: dividend_index_id
            dividend_index_ric: dividend_index_ric
          - dividend_index_id: dividend_index_id
            dividend_index_ric: dividend_index_ric
        fx_fx_correlation_errors:
          - fx_cross2_name: fx_cross2_name
            fx_cross1_id: fx_cross1_id
            fx_cross1_name: fx_cross1_name
            fx_cross2_id: fx_cross2_id
          - fx_cross2_name: fx_cross2_name
            fx_cross1_id: fx_cross1_id
            fx_cross1_name: fx_cross1_name
            fx_cross2_id: fx_cross2_id
        equity_vol_surface_errors:
          - asset_ric: asset_ric
            asset_id: asset_id
          - asset_ric: asset_ric
            asset_id: asset_id
        equity_fx_correlation_errors:
          - eq_asset_id: eq_asset_id
            eq_asset_name: eq_asset_name
            fx_cross_id: fx_cross_id
          - eq_asset_id: eq_asset_id
            eq_asset_name: eq_asset_name
            fx_cross_id: fx_cross_id
        swaption_vol_cube_errors:
          - rate_asset_id: rate_asset_id
          - rate_asset_id: rate_asset_id
        andersen_buffum_parameters_errors:
          - equity_id: equity_id
          - equity_id: equity_id
        credit_index_correlation_errors:
          - index_id: index_id
            index_name: index_name
          - index_id: index_id
            index_name: index_name
        equity_vol_index_vol_surface_errors:
          - eq_vol_index_id: eq_vol_index_id
            eq_vol_index_ric: eq_vol_index_ric
          - eq_vol_index_id: eq_vol_index_id
            eq_vol_index_ric: eq_vol_index_ric
        fx_vol_of_var_curve_errors:
          - fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
            fx_vol_of_var_index_id: fx_vol_of_var_index_id
          - fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
            fx_vol_of_var_index_id: fx_vol_of_var_index_id
        equity_equity_correlation_errors:
          - asset1_name: asset1_name
            asset2_name: asset2_name
            asset1_id: asset1_id
            asset2_id: asset2_id
          - asset1_name: asset1_name
            asset2_name: asset2_name
            asset1_id: asset1_id
            asset2_id: asset2_id
        fx_vol_surface_errors:
          - fx_cross_id: fx_cross_id
          - fx_cross_id: fx_cross_id
      properties:
        bond_vol_surface_errors:
          items:
            $ref: '#/components/schemas/BondVolSurfaceError'
          nullable: true
          type: array
        bond_yield_curve_errors:
          items:
            $ref: '#/components/schemas/BondYieldCurveError'
          nullable: true
          type: array
        credit_event_errors:
          items:
            $ref: '#/components/schemas/CreditEventError'
          nullable: true
          type: array
        calendar_errors:
          items:
            type: string
          nullable: true
          type: array
        cmdty_vol_surface_errors:
          items:
            $ref: '#/components/schemas/CmdtyVolSurfaceError'
          nullable: true
          type: array
        commodity_errors:
          items:
            $ref: '#/components/schemas/CommodityError'
          nullable: true
          type: array
        credit_index_correlation_errors:
          items:
            $ref: '#/components/schemas/CreditIndexCorrelationError'
          nullable: true
          type: array
        credit_swaption_vol_cube_errors:
          items:
            $ref: '#/components/schemas/CreditSwaptionVolCubeError'
          nullable: true
          type: array
        discount_curve_errors:
          items:
            $ref: '#/components/schemas/DiscountCurveError'
          nullable: true
          type: array
        equity_asset_errors:
          items:
            $ref: '#/components/schemas/EquityAssetError'
          nullable: true
          type: array
        equity_equity_correlation_errors:
          items:
            $ref: '#/components/schemas/EquityEquityCorrelationError'
          nullable: true
          type: array
        equity_fx_correlation_errors:
          items:
            $ref: '#/components/schemas/EquityFxCorrelationError'
          nullable: true
          type: array
        fx_fx_correlation_errors:
          items:
            $ref: '#/components/schemas/FxFxCorrelationError'
          nullable: true
          type: array
        equity_vol_index_errors:
          items:
            $ref: '#/components/schemas/EquityVolIndexError'
          nullable: true
          type: array
        equity_vol_index_vol_surface_errors:
          items:
            $ref: '#/components/schemas/EquityVolIndexVolSurfaceError'
          nullable: true
          type: array
        equity_vol_surface_errors:
          items:
            $ref: '#/components/schemas/EquityVolSurfaceError'
          nullable: true
          type: array
        equity_vol_of_var_curve_errors:
          items:
            $ref: '#/components/schemas/EquityVolOfVarCurveError'
          nullable: true
          type: array
        dividend_index_errors:
          items:
            $ref: '#/components/schemas/DividendIndexError'
          nullable: true
          type: array
        dividend_index_vol_surface_errors:
          items:
            $ref: '#/components/schemas/DividendIndexVolSurfaceError'
          nullable: true
          type: array
        fx_vol_of_var_curve_errors:
          items:
            $ref: '#/components/schemas/FxVolOfVarCurveError'
          nullable: true
          type: array
        fx_cross_errors:
          items:
            $ref: '#/components/schemas/FxCrossError'
          nullable: true
          type: array
        fx_vol_surface_errors:
          items:
            $ref: '#/components/schemas/FxVolSurfaceError'
          nullable: true
          type: array
        andersen_buffum_parameters_errors:
          items:
            $ref: '#/components/schemas/AndersenBuffumParametersError'
          nullable: true
          type: array
        ir_futures_vol_cube_errors:
          items:
            $ref: '#/components/schemas/IrFuturesVolCubeError'
          nullable: true
          type: array
        rate_asset_errors:
          items:
            $ref: '#/components/schemas/RateAssetError'
          nullable: true
          type: array
        recovery_rate_errors:
          items:
            $ref: '#/components/schemas/RecoveryRateError'
          nullable: true
          type: array
        survival_curve_errors:
          items:
            $ref: '#/components/schemas/SurvivalCurveError'
          nullable: true
          type: array
        swaption_vol_cube_errors:
          items:
            $ref: '#/components/schemas/SwaptionVolCubeError'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.MarketDataErrorSummary,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondVolSurfaceError:
      example:
        bond_short_name: bond_short_name
        futures_market_id: futures_market_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        futures_market_id:
          nullable: true
          type: string
        bond_short_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.BondVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondYieldCurveError:
      example:
        issuer_id: issuer_id
        currency: currency
        debt_type: debt_type
        issuer_name: issuer_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        currency:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        issuer_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.BondYieldCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditEventError:
      example:
        default_date: default_date
        bond_id: bond_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        bond_id:
          nullable: true
          type: string
        default_date:
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.CreditEventError, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyVolSurfaceError:
      example:
        commodity_id: commodity_id
        commodity_name: commodity_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        commodity_id:
          nullable: true
          type: string
        commodity_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.CmdtyVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CommodityError:
      example:
        commodity_id: commodity_id
        commodity_name: commodity_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        commodity_id:
          nullable: true
          type: string
        commodity_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.CommodityError, Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditIndexCorrelationError:
      example:
        index_id: index_id
        index_name: index_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        index_id:
          nullable: true
          type: string
        index_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.CreditIndexCorrelationError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditSwaptionVolCubeError:
      example:
        credit_id: credit_id
        name: name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        credit_id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.CreditSwaptionVolCubeError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DiscountCurveError:
      example:
        currency: currency
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        currency:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DiscountCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityAssetError:
      example:
        notes: notes
        asset_edi_code: asset_edi_code
        asset_ric: asset_ric
        asset_x_ignite_code: asset_x_ignite_code
        asset_id: asset_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        asset_id:
          nullable: true
          type: string
        asset_ric:
          nullable: true
          type: string
        asset_x_ignite_code:
          nullable: true
          type: string
        asset_edi_code:
          nullable: true
          type: string
        notes:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EquityAssetError, Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityEquityCorrelationError:
      example:
        asset1_name: asset1_name
        asset2_name: asset2_name
        asset1_id: asset1_id
        asset2_id: asset2_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        asset1_id:
          nullable: true
          type: string
        asset1_name:
          nullable: true
          type: string
        asset2_id:
          nullable: true
          type: string
        asset2_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityEquityCorrelationError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityFxCorrelationError:
      example:
        eq_asset_id: eq_asset_id
        eq_asset_name: eq_asset_name
        fx_cross_id: fx_cross_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        eq_asset_id:
          nullable: true
          type: string
        eq_asset_name:
          nullable: true
          type: string
        fx_cross_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityFxCorrelationError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    FxFxCorrelationError:
      example:
        fx_cross2_name: fx_cross2_name
        fx_cross1_id: fx_cross1_id
        fx_cross1_name: fx_cross1_name
        fx_cross2_id: fx_cross2_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        fx_cross1_id:
          nullable: true
          type: string
        fx_cross1_name:
          nullable: true
          type: string
        fx_cross2_id:
          nullable: true
          type: string
        fx_cross2_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.FxFxCorrelationError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolIndexError:
      example:
        eq_vol_index_id: eq_vol_index_id
        eq_vol_index_name: eq_vol_index_name
        eq_vol_index_ric: eq_vol_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        eq_vol_index_id:
          nullable: true
          type: string
        eq_vol_index_name:
          nullable: true
          type: string
        eq_vol_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolIndexError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolIndexVolSurfaceError:
      example:
        eq_vol_index_id: eq_vol_index_id
        eq_vol_index_ric: eq_vol_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        eq_vol_index_id:
          nullable: true
          type: string
        eq_vol_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolIndexVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolSurfaceError:
      example:
        asset_ric: asset_ric
        asset_id: asset_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        asset_id:
          nullable: true
          type: string
        asset_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolOfVarCurveError:
      example:
        eq_vol_of_var_index_id: eq_vol_of_var_index_id
        eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        eq_vol_of_var_index_id:
          nullable: true
          type: string
        eq_vol_of_var_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolOfVarCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DividendIndexError:
      example:
        dividend_index_id: dividend_index_id
        dividend_index_name: dividend_index_name
        dividend_index_ric: dividend_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        dividend_index_id:
          nullable: true
          type: string
        dividend_index_name:
          nullable: true
          type: string
        dividend_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DividendIndexError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DividendIndexVolSurfaceError:
      example:
        dividend_index_id: dividend_index_id
        dividend_index_ric: dividend_index_ric
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        dividend_index_id:
          nullable: true
          type: string
        dividend_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DividendIndexVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVolOfVarCurveError:
      example:
        fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
        fx_vol_of_var_index_id: fx_vol_of_var_index_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        fx_vol_of_var_index_id:
          nullable: true
          type: string
        fx_vol_of_var_index_ric:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.FxVolOfVarCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    FxCrossError:
      example:
        fx_cross_id: fx_cross_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        fx_cross_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.FxCrossError, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVolSurfaceError:
      example:
        fx_cross_id: fx_cross_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        fx_cross_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.FxVolSurfaceError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    AndersenBuffumParametersError:
      example:
        equity_id: equity_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        equity_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.AndersenBuffumParametersError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    IrFuturesVolCubeError:
      example:
        name: name
        futures_market_id: futures_market_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        futures_market_id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.IrFuturesVolCubeError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    RateAssetError:
      example:
        rate_asset_id: rate_asset_id
        reference_date: reference_date
        message: message
      properties:
        message:
          nullable: true
          type: string
        rate_asset_id:
          nullable: true
          type: string
        reference_date:
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.RateAssetError, Derivitec.Web.Core
      required:
        - $type
      type: object
    RecoveryRateError:
      example:
        issuer_id: issuer_id
        bond_id: bond_id
        debt_type: debt_type
        issuer_name: issuer_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        bond_id:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        issuer_name:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.RecoveryRateError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    SurvivalCurveError:
      example:
        issuer_id: issuer_id
        default_type: default_type
        currency: currency
        debt_type: debt_type
        issuer_name: issuer_name
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        currency:
          nullable: true
          type: string
        debt_type:
          nullable: true
          type: string
        default_type:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        issuer_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.SurvivalCurveError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    SwaptionVolCubeError:
      example:
        rate_asset_id: rate_asset_id
      properties:
        message:
          nullable: true
          type: string
        reference_date:
          type: string
        rate_asset_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.SwaptionVolCubeError,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````